`timescale 1 ns/100 ps
// Version: v12.0 12.500.0.22


module SGMII_CDR_0_01_PF_LANECTRL_0_PF_LANECTRL(
       HS_IO_CLK,
       EYE_MONITOR_WIDTH_OUT,
       FIFO_WR_PTR,
       FIFO_RD_PTR,
       ARST_N,
       RX_SYNC_RST,
       TX_SYNC_RST,
       FAB_CLK,
       RESET,
       READ_CLK_SEL,
       DELAY_LINE_SEL,
       DELAY_LINE_LOAD,
       DELAY_LINE_DIRECTION,
       DELAY_LINE_MOVE,
       HS_IO_CLK_PAUSE,
       EYE_MONITOR_WIDTH_IN,
       RX_DELAY_LINE_OUT_OF_RANGE,
       TX_DELAY_LINE_OUT_OF_RANGE,
       RX_BIT_SLIP,
       CDR_CLK_A_SEL,
       CDR_CLK,
       CDR_NEXT_CLK,
       CLK_OUT_R,
       DIV_CLK_EN_N,
       A_OUT_RST_N,
       CDR_CLK_A_SEL_8,
       CDR_CLK_A_SEL_9,
       CDR_CLK_A_SEL_10,
       CDR_CLK_B_SEL,
       CDR_CLR_NEXT_CLK_N,
       SWITCH
    );
input  [3:0] HS_IO_CLK;
output [2:0] EYE_MONITOR_WIDTH_OUT;
output [2:0] FIFO_WR_PTR;
output [2:0] FIFO_RD_PTR;
output ARST_N;
output RX_SYNC_RST;
output TX_SYNC_RST;
input  FAB_CLK;
input  RESET;
input  [2:0] READ_CLK_SEL;
input  DELAY_LINE_SEL;
input  DELAY_LINE_LOAD;
input  DELAY_LINE_DIRECTION;
input  DELAY_LINE_MOVE;
input  HS_IO_CLK_PAUSE;
input  [2:0] EYE_MONITOR_WIDTH_IN;
output RX_DELAY_LINE_OUT_OF_RANGE;
output TX_DELAY_LINE_OUT_OF_RANGE;
input  RX_BIT_SLIP;
input  [7:0] CDR_CLK_A_SEL;
output CDR_CLK;
output CDR_NEXT_CLK;
output CLK_OUT_R;
input  DIV_CLK_EN_N;
output A_OUT_RST_N;
input  CDR_CLK_A_SEL_8;
input  CDR_CLK_A_SEL_9;
input  CDR_CLK_A_SEL_10;
input  [10:0] CDR_CLK_B_SEL;
input  CDR_CLR_NEXT_CLK_N;
input  SWITCH;

    wire GND_net, VCC_net;
    
    LANECTRL #( .DATA_RATE(800.0), .FORMAL_NAME("CDR4"), .INTERFACE_NAME("CDR4")
        , .DELAY_LINE_SIMULATION_MODE("ENABLED"), .RESERVED_0(1'b0), .RESERVED_1(1'b0)
        , .RESERVED_2(1'b0), .SOFTRESET_EN(1'b0), .SOFTRESET(1'b0), .RX_DQS_DELAY_LINE_EN(1'b1)
        , .TX_DQS_DELAY_LINE_EN(1'b1), .RX_DQS_DELAY_LINE_DIRECTION(1'b1)
        , .TX_DQS_DELAY_LINE_DIRECTION(1'b1), .RX_DQS_DELAY_VAL(8'b00010000)
        , .TX_DQS_DELAY_VAL(8'b00000001), .FIFO_EN(1'b1), .FIFO_MODE(1'b0)
        , .FIFO_RD_PTR_MODE(3'b011), .DQS_MODE(3'b011), .CDR_EN(2'b10)
        , .HS_IO_CLK_SEL(9'b111111111), .DLL_CODE_SEL(2'b00), .CDR_CLK_SEL(12'b011010001000)
        , .READ_MARGIN_TEST_EN(1'b1), .WRITE_MARGIN_TEST_EN(1'b0), .CDR_CLK_DIV(3'b101)
        , .DIV_CLK_SEL(2'b00), .HS_IO_CLK_PAUSE_EN(1'b1), .QDR_EN(1'b0)
        , .DYN_ODT_MODE(1'b0), .DIV_CLK_EN_SRC(2'b11), .RANK_2_MODE(1'b0)
         )  I_LANECTRL (.RX_DATA_VALID(), .RX_BURST_DETECT(), 
        .RX_DELAY_LINE_OUT_OF_RANGE(RX_DELAY_LINE_OUT_OF_RANGE), 
        .TX_DELAY_LINE_OUT_OF_RANGE(TX_DELAY_LINE_OUT_OF_RANGE), 
        .CLK_OUT_R(CLK_OUT_R), .A_OUT_RST_N(A_OUT_RST_N), .FAB_CLK(
        FAB_CLK), .RESET(RESET), .DDR_READ(GND_net), .READ_CLK_SEL({
        READ_CLK_SEL[2], READ_CLK_SEL[1], READ_CLK_SEL[0]}), 
        .DELAY_LINE_SEL(DELAY_LINE_SEL), .DELAY_LINE_LOAD(
        DELAY_LINE_LOAD), .DELAY_LINE_DIRECTION(DELAY_LINE_DIRECTION), 
        .DELAY_LINE_MOVE(DELAY_LINE_MOVE), .HS_IO_CLK_PAUSE(
        HS_IO_CLK_PAUSE), .DIV_CLK_EN_N(DIV_CLK_EN_N), .RX_BIT_SLIP(
        RX_BIT_SLIP), .CDR_CLK_A_SEL({CDR_CLK_A_SEL[7], 
        CDR_CLK_A_SEL[6], CDR_CLK_A_SEL[5], CDR_CLK_A_SEL[4], 
        CDR_CLK_A_SEL[3], CDR_CLK_A_SEL[2], CDR_CLK_A_SEL[1], 
        CDR_CLK_A_SEL[0]}), .EYE_MONITOR_WIDTH_IN({
        EYE_MONITOR_WIDTH_IN[2], EYE_MONITOR_WIDTH_IN[1], 
        EYE_MONITOR_WIDTH_IN[0]}), .ODT_EN(GND_net), .CODE_UPDATE(
        GND_net), .DQS(GND_net), .DQS_N(GND_net), .HS_IO_CLK({GND_net, 
        GND_net, HS_IO_CLK[3], HS_IO_CLK[2], HS_IO_CLK[1], 
        HS_IO_CLK[0]}), .DLL_CODE({GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net}), .EYE_MONITOR_WIDTH_OUT({
        EYE_MONITOR_WIDTH_OUT[2], EYE_MONITOR_WIDTH_OUT[1], 
        EYE_MONITOR_WIDTH_OUT[0]}), .ODT_EN_SEL(), .RX_DQS_90({nc0, 
        nc1}), .TX_DQS(), .TX_DQS_270(), .FIFO_WR_PTR({FIFO_WR_PTR[2], 
        FIFO_WR_PTR[1], FIFO_WR_PTR[0]}), .FIFO_RD_PTR({FIFO_RD_PTR[2], 
        FIFO_RD_PTR[1], FIFO_RD_PTR[0]}), .CDR_CLK(CDR_CLK), 
        .CDR_NEXT_CLK(CDR_NEXT_CLK), .ARST_N(ARST_N), .RX_SYNC_RST(
        RX_SYNC_RST), .TX_SYNC_RST(TX_SYNC_RST), .ODT_EN_OUT(), 
        .DDR_DO_READ(GND_net), .CDR_CLK_A_SEL_8(CDR_CLK_A_SEL_8), 
        .CDR_CLK_A_SEL_9(CDR_CLK_A_SEL_9), .CDR_CLK_A_SEL_10(
        CDR_CLK_A_SEL_10), .CDR_CLK_B_SEL({CDR_CLK_B_SEL[10], 
        CDR_CLK_B_SEL[9], CDR_CLK_B_SEL[8], CDR_CLK_B_SEL[7], 
        CDR_CLK_B_SEL[6], CDR_CLK_B_SEL[5], CDR_CLK_B_SEL[4], 
        CDR_CLK_B_SEL[3], CDR_CLK_B_SEL[2], CDR_CLK_B_SEL[1], 
        CDR_CLK_B_SEL[0]}), .SWITCH(SWITCH), .CDR_CLR_NEXT_CLK_N(
        CDR_CLR_NEXT_CLK_N));
    VCC vcc_inst (.Y(VCC_net));
    GND gnd_inst (.Y(GND_net));
    
endmodule
